Simulate company status
curl --request POST \
--url https://sandbox.api.reap.global/simulation/companies/{companyId}/status \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Reap-Version: <reap-version>' \
--data '
{
"status": "<string>",
"applicationDetails": {
"legalEntityName": "<string>",
"registrationNumber": "<string>",
"country": "<string>",
"registeredAddress": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"country": "<string>",
"state": "<string>",
"postalCode": "<string>"
},
"operationalAddress": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"country": "<string>",
"state": "<string>",
"postalCode": "<string>"
}
}
}
'const options = {
method: 'POST',
headers: {
'Reap-Version': '<reap-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
status: '<string>',
applicationDetails: {
legalEntityName: '<string>',
registrationNumber: '<string>',
country: '<string>',
registeredAddress: {
line1: '<string>',
line2: '<string>',
city: '<string>',
country: '<string>',
state: '<string>',
postalCode: '<string>'
},
operationalAddress: {
line1: '<string>',
line2: '<string>',
city: '<string>',
country: '<string>',
state: '<string>',
postalCode: '<string>'
}
}
})
};
fetch('https://sandbox.api.reap.global/simulation/companies/{companyId}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sandbox.api.reap.global/simulation/companies/{companyId}/status"
payload = {
"status": "<string>",
"applicationDetails": {
"legalEntityName": "<string>",
"registrationNumber": "<string>",
"country": "<string>",
"registeredAddress": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"country": "<string>",
"state": "<string>",
"postalCode": "<string>"
},
"operationalAddress": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"country": "<string>",
"state": "<string>",
"postalCode": "<string>"
}
}
}
headers = {
"Reap-Version": "<reap-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"error": {
"code": "<string>",
"message": "<string>",
"detail": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"detail": {}
}
}Simulation
Simulate company status
Simulates a company status change. ACTIVE completes the company onboarding. REJECTED simulates a declined KYB verification. IN_REVIEW simulates a pending KYB review.
POST
/
simulation
/
companies
/
{companyId}
/
status
Simulate company status
curl --request POST \
--url https://sandbox.api.reap.global/simulation/companies/{companyId}/status \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Reap-Version: <reap-version>' \
--data '
{
"status": "<string>",
"applicationDetails": {
"legalEntityName": "<string>",
"registrationNumber": "<string>",
"country": "<string>",
"registeredAddress": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"country": "<string>",
"state": "<string>",
"postalCode": "<string>"
},
"operationalAddress": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"country": "<string>",
"state": "<string>",
"postalCode": "<string>"
}
}
}
'const options = {
method: 'POST',
headers: {
'Reap-Version': '<reap-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
status: '<string>',
applicationDetails: {
legalEntityName: '<string>',
registrationNumber: '<string>',
country: '<string>',
registeredAddress: {
line1: '<string>',
line2: '<string>',
city: '<string>',
country: '<string>',
state: '<string>',
postalCode: '<string>'
},
operationalAddress: {
line1: '<string>',
line2: '<string>',
city: '<string>',
country: '<string>',
state: '<string>',
postalCode: '<string>'
}
}
})
};
fetch('https://sandbox.api.reap.global/simulation/companies/{companyId}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sandbox.api.reap.global/simulation/companies/{companyId}/status"
payload = {
"status": "<string>",
"applicationDetails": {
"legalEntityName": "<string>",
"registrationNumber": "<string>",
"country": "<string>",
"registeredAddress": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"country": "<string>",
"state": "<string>",
"postalCode": "<string>"
},
"operationalAddress": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"country": "<string>",
"state": "<string>",
"postalCode": "<string>"
}
}
}
headers = {
"Reap-Version": "<reap-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"error": {
"code": "<string>",
"message": "<string>",
"detail": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"detail": {}
}
}Authorizations
API key as Bearer token
Headers
API version (YYYY-MM-DD)
Available options:
2025-02-14 Example:
"2025-02-14"
Path Parameters
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Simulate a company status change. ACTIVE requires applicationDetails so the simulated company matches the shape of one verified through AiPrise.
Response
Response for status 204
⌘I